{ config, pkgs, ... }:
{
  imports = [
    ./hyprland.nix
    ./programs.nix
    ./waybar.nix
    ./nixvim/nixvim.nix
    ./stylix.nix
  ];
  home.username = "lucy";
  home.homeDirectory = "/home/lucy";

  # This value determines the Home Manager release that your configuration is
  # compatible with. This helps avoid breakage when a new Home Manager release
  # introduces backwards incompatible changes.
  #
  # You should not change this value, even if you update Home Manager. If you do
  # want to update the value, then make sure to first check the Home Manager
  # release notes.

  programs.zsh = {
    enable = true;
    enableCompletion = true;
    autosuggestion.enable = true;
    syntaxHighlighting.enable = true;
    shellAliases = {
      nsr = "sudo nixos-rebuild switch";
      ncb = "sudo nix-collect-garbage -d";
    };
    oh-my-zsh = {
      enable = true;
      plugins = [
        "git"
      ];
      theme = "gentoo";
    };
  };

  home.stateVersion = "24.05"; # Please read the comment before changing.
  home.shell.enableShellIntegration = true;
  home.shellAliases = {
    nrs = "sudo nixos-rebuild switch --flake /home/lucy/nixos-conf/";
  };

}
